/catalog/dataset-catalog-task

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Trigger Catalog Task

Use this route to trigger a catalog task that will process and catalog a dataset from your data warehouse.

How to use

Send the table details in the request body. A session identifier will be returned, which you can use to track the task progress via the Get Catalog Task endpoint.

Payload example

{
  "table_name": "TB__4DXSD4_SALES_DATA",
  "table_schema": "PUBLIC",
  "pipeline_id": "pipeline-abc-123"
}

Body fields

  • table_name (required): name of the table in the data warehouse (e.g., Snowflake);
  • table_schema (optional): schema where the table is located. Defaults to PUBLIC if not provided;
  • pipeline_id (optional): identifier of the pipeline that generated the asset.

Error scenarios

CodeErrorDescription
401UnauthenticatedInvalid or missing access-token header
403ForbiddenUser does not have the required permissions
500Internal Server ErrorUnknown server error
Body Params
string
required

Name of the table on Snowflake

string

Schema where the asset is located. If not set defaults to "PUBLIC"

string

Id of the pipeline that generated the asset.

Headers
string
enum
Allowed:
Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json